class PersonName
  include Comparable
  def initialize(name)
    @name = name
  end

  def name_length
    @name.size
  end

  def <=>(other)
    name_length <=> other.name_length
  end

  def to_s
    @name
  end
end

ivan = PersonName.new('Ivan')
marfa = PersonName.new('Marfa')

puts ivan > marfa
puts ivan >= marfa
puts ivan == marfa
puts ivan <= marfa
puts ivan < marfa

# names = %w(Pert Darya Ivan Marfa Aleksey Oleg)
# people = names.map { |name| PersonName.new(name) }
# puts people
# puts people.sort
