class WovelFinder
  include Enumerable
  def initialize(string)
    @string = string
  end

  def each
    @string.scan(/[aoeuyi]/).each do |wovel|
      yield wovel
    end
  end
end

finder = WovelFinder.new('Hello, world!')
# finder.each do |wovel|
#   puts "Wovel: #{wovel}"
# end

finder.each_with_index do |wovel, index|
  puts "Wowel #{index}: #{wovel}"
end

mapped = finder.map do |wovel|
  wovel.succ
end
puts mapped
