class Parent
  def initialize(name)
    @name = name
  end
  def to_s
    super + " You are calling #{@name}"
  end
  def call(another)
    puts "#{@name} is calling #{another}"
  end
end

class Child < Parent
  def to_s
    "Child here!"
  end
  def call(another)
    puts "Call from child"
    super(another)
  end
end

parent = Parent.new('Pavel')
puts parent
child = Child.new('Igor')
puts child

parent.call('Maria')
child.call('Maria')
